/* ship.cc -  TDObject
**
** DCFloys
** (c)2001 Paul Boese a.k.a. Axlen
**
*/

#include "ship.h"
extern "C" {
    #include "data/ship_data.h"
    }
void Ship::draw()
	{
	int i;
	glBegin(GL_TRIANGLES);
	//glRotatef(F_PI, 0.0f, 1.5f, 0.0f);
	glRotatef(F_PI, 0.0f, 1.5f, 0.0f);
	glDisable(GL_KOS_AUTO_UV);
	glBindTexture( GL_TEXTURE_2D, texture);
	glColor3f(red, green, blue);
	
	/* Faces */
	for (i=0; i<SHIP_FACE_IDXS; i+=4) {
		/* Note this is reading the face indexs backwards
		   so that the face vertices are output in clockwise
		   order. */
		glTexCoord2f(
			ship_uv[i+2][0], 
			1-ship_uv[i+2][1]);
		glVertex3f(
			ship_coords[ship_face_idx[i+2]][0],
			ship_coords[ship_face_idx[i+2]][1],
			ship_coords[ship_face_idx[i+2]][2]);
		
		glTexCoord2f(
			ship_uv[i+1][0],
			1-ship_uv[i+1][1]);
		glVertex3f(
			ship_coords[ship_face_idx[i+1]][0],
			ship_coords[ship_face_idx[i+1]][1],
			ship_coords[ship_face_idx[i+1]][2]);
		
		glTexCoord2f(
			ship_uv[i][0],
			1-ship_uv[i][1]);
		glVertex3f(
			ship_coords[ship_face_idx[i]][0],
			ship_coords[ship_face_idx[i]][1],
			ship_coords[ship_face_idx[i]][2]);
		}
	glEnd();
	}

/* vi:tabstop=4
*/
