/* mars.cc - Test 3dobject
**
** DCFloys
** (c)2001 Paul Boese a.k.a. Axlen
**
** For drawing a cheesy landscape object
*/

#include "mars.h"
extern "C" {
    #include "data/mars_data.h"
    }
void Mars::draw()
	{
	int i;
	glBegin(GL_TRIANGLES);
	glRotatef(F_PI, 1.5f, 1.0f, 1.0f);
	glDisable(GL_KOS_AUTO_UV);
	glBindTexture( GL_TEXTURE_2D, texture);
	glColor3f(red, green, blue);
	
	/* Faces */
	for (i=0; i<MARS_FACE_IDXS; i+=4) {
		/* Note this is reading the face indexs backwards
		   so that the face vertices are output in clockwise
		   order. */
		glTexCoord2f(
			mars_uv[i+2][0], 
			1-mars_uv[i+2][1]);
		glVertex3f(
			mars_coords[mars_face_idx[i+2]][0],
			mars_coords[mars_face_idx[i+2]][1],
			mars_coords[mars_face_idx[i+2]][2]);
		
		glTexCoord2f(
			mars_uv[i+1][0],
			1-mars_uv[i+1][1]);
		glVertex3f(
			mars_coords[mars_face_idx[i+1]][0],
			mars_coords[mars_face_idx[i+1]][1],
			mars_coords[mars_face_idx[i+1]][2]);
		
		glTexCoord2f(
			mars_uv[i][0],
			1-mars_uv[i][1]);
		glVertex3f(
			mars_coords[mars_face_idx[i]][0],
			mars_coords[mars_face_idx[i]][1],
			mars_coords[mars_face_idx[i]][2]);
		}
	glEnd();
	}

/* vi:tabstop=4
*/
